Package javax.validation.metadata

# Interface ConstraintDescriptor<T extends Annotation>

public interface ConstraintDescriptor<T extends Annotation>

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`T`
`getAnnotation()`
`Map<String,Object>`
`getAttributes()`
`Set<ConstraintDescriptor<?>>`
`getComposingConstraints()`
`List<Class<? extends ConstraintValidator<T,?>>>`
`getConstraintValidatorClasses()`
`Set<Class<?>>`
`getGroups()`
`String`
`getMessageTemplate()`
`Set<Class<? extends Payload>>`
`getPayload()`
`ConstraintTarget`
`getValidationAppliesTo()`
`boolean`
`isReportAsSingleViolation()`

## Method Details

### getAnnotation

T getAnnotation()

### getGroups

Set<Class<?>> getGroups()

### getPayload

Set<Class<? extends Payload>> getPayload()

### getConstraintValidatorClasses

List<Class<? extends ConstraintValidator<T,?>>> getConstraintValidatorClasses()

### getAttributes

Map<String,Object> getAttributes()

### getComposingConstraints

Set<ConstraintDescriptor<?>> getComposingConstraints()

### isReportAsSingleViolation

boolean isReportAsSingleViolation()

### getMessageTemplate

String getMessageTemplate()

### getValidationAppliesTo

ConstraintTarget getValidationAppliesTo()